## praat 5.4.0

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink, 22 February 2010
# djmw 20140409 Latest modification

include ../makefile.defs

CPPFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar

OBJECTS = Activation.o AffineTransform.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_Pattern_Categories.o \
	EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MelFilter_and_MFCC.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o \
	Matrix_extensions.o \
	Matrix_Categories.o MDS.o \
	Pattern.o PCA.o \
	Pitch_extensions.o Polynomial.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o \
	Resonator.o \
	Sampled2.o \
	Sound_and_FilterBank.o Sound_and_PCA.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrum_extensions.o SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o\
	Table_extensions.o TableOfReal_and_SVD.o\
	TableOfReal_extensions.o \
	TableOfReal_and_Permutation.o \
	TextGrid_extensions.o \
	VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== kar/Makefile ===
# Makefile of the library "kar"
# Paul Boersma, 24 August 2013

include ../makefile.defs

OBJECTS = ipaSerifRegularPS.o ipaSerifRegular24.o longchar.o

.PHONY: all clean

all: libkar.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libkar.a

libkar.a: $(OBJECTS)
	touch libkar.a
	rm libkar.a
	$(AR) cq libkar.a $(OBJECTS)
	$(RANLIB) libkar.a

$(OBJECTS): *.h

=== sys/Makefile ===
# Makefile of the library "sys"
# Paul Boersma, 24 August 2013

include ../makefile.defs

CPPFLAGS = -I ../num -I ../sys -I ../dwsys -I ../kar -I ../external/portaudio -I ../external/flac -I ../external/mp3

OBJECTS = abcio.o lispio.o complex.o \
   melder_ftoa.o melder_atof.o melder_error.o melder_alloc.o melder.o melder_strings.o \
   melder_token.o melder_files.o melder_audio.o melder_audiofiles.o \
   melder_debug.o melder_sysenv.o melder_info.o melder_quantity.o \
   melder_textencoding.o melder_readtext.o melder_writetext.o melder_console.o melder_time.o \
   Thing.o Data.o Simple.o Collection.o Strings.o \
   Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
   Graphics_image.o Graphics_mouse.o Graphics_record.o \
   Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
   GraphicsPostscript.o Graphics_surface.o \
   ManPage.o ManPages.o Script.o machine.o \
   GraphicsScreen.o Printer.o \
   Preferences.o site.o \
   Picture.o Ui.o UiFile.o UiPause.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
   praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendpraat.o sendsocket.o \
   praat_script.o praat_statistics.o praat_logo.o \
   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
   StringsEditor.o DemoEditor.o \
   motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
   GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
   GuiDialog.o GuiList.o GuiFileSelect.o GuiScale.o GuiScrollBar.o GuiScrolledWindow.o \
   GuiControl.o GuiForm.o GuiOptionMenu.o GuiProgressBar.o GuiShell.o GuiThing.o

.PHONY: all clean

all: libsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libsys.a

libsys.a: $(OBJECTS)
	touch libsys.a
	rm libsys.a
	$(AR) cq libsys.a $(OBJECTS)
	$(RANLIB) libsys.a

$(OBJECTS): *.h ../num/NUM.h ../dwsys/*.h ../kar/*.h ../external/portaudio/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== debian/changelog ===
praat (5.4.0-1) unstable; urgency=low

  * Imported Upstream version 5.4.0

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 08 Oct 2014 07:05:37 -0300

praat (5.3.86-1) UNRELEASED; urgency=low

  * Imported Upstream version 5.3.86
  * d/copyright: Update copyright information

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 01 Oct 2014 13:39:10 -0300

praat (5.3.85-1) unstable; urgency=low

  * Imported Upstream version 5.3.85
  * Drop patch pulseaudio-latency.patch (problem is circumvented upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright; Fully comply with DEP-5

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 04:49:09 -0300

praat (5.3.82-1) unstable; urgency=low

  [ James McCoy ]
  * Move debian/upstream to debian/upstream/metadata

  [ Rafael Laboissiere ]
  * Imported Upstream version 5.3.82
  * debian/copyright: Remove the Files-Excluded field
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Add hardening flags to the compiler commands
  * debian/patches/pulseaudio-latency.patch: New patch

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 07 Aug 2014 07:49:31 -0300

praat (5.3.57+dfsg-1) unstable; urgency=low

  [ Andreas Tille ]
  * Prepare packaging for removal of files via enhanced uscan

  [ Rafael Laboissiere ]
  * Imported Upstream version 5.3.57+dfsg
  * debian/patches/link-against-libpthread.patch: Drop patch (applied upstream)
  * debian/rules:
    - Cope with the lacking makefile.defs file
    - Do a proper cleaning of the package
  * debian/control: Use canonical URIs in VCS-* fields

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 28 Oct 2013 18:57:39 +0100

praat (5.3.56-1) unstable; urgency=low

  * Imported Upstream version 5.3.56
  * debian/What_s_new_.html: Update for the new upstream release
  * debian/copyright:
    + Refresh for new upstream release
    + Update Copyright years
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Drop useless patch use-dpkg-buildflags.patch
  * Restore the building of man pages from DocBook sources
    - debian/control: Build-Depends on xmlto
    - debian/manpage.xsl: Is now a fragment for xmlto and uses xsl:param
    - debian/rules: Adjust for building and cleaning the new manpages
  * debian/praat.dbk: Improvements and fixes
    - Update my email address and the Copyright year
    - Add lacking refmiscinfo tags for "manual" and "source"
    - Upgrade the license to GPL-3
  * Build and install the sendpraat program
    - debian/rules: Adjust the building and cleaning this new program and its
      man page
    - debian/install.in: Install it
    - debian/sendpraat.dbk: New man page source
  * debian/praat-open-files: New script for opening sound files with praat
  * debian/control: Remove obsolete DM-Upload-Allowed field
  * debian/patches/link-against-libpthread.patch: New patch (Closes: #713597)
  * debian/rules: Avoid the call of dh_auto_clean

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 26 Oct 2013 03:21:29 +0200

praat (5.3.35-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 5.3.35
  * debian/patches/use-dpkg-buildflags.patch: Adjust for new upstream version
  * debian/What_s_new_.html: Refresh for new upstream version
  * debian/rules: Use new upstream makefile for Linux
  * Add new application icon in SVG format

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 12 Dec 2012 08:26:10 +0100

=== debian/control ===
Source: praat
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
 Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), libasound2-dev, libgtk2.0-dev, xmlto
Standards-Version: 3.9.6
Homepage: http://www.praat.org
Vcs-Git: git://anonscm.debian.org/debian-med/praat.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/praat.git

Package: praat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oss-compat, python
Recommends: xfonts-75dpi | xfonts-75dpi-transcoded
 | xfonts-100dpi | xfonts-100dpi-transcoded
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'

%:
	dh $@

get-upstream-changelog:
	# Get upstream changelog (in HTML format) and replace some characters
	# for correct display in the final ASCII file
	( cd debian ;							    \
	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean
	rm -f makefile.defs $(DEBDIR)/praat.dirs			\
		 $(DEBDIR)/praat.install $(DEBDIR)/praat.menu		\
		 sendpraat praat.1 sendpraat.1 praat-open-files.1

override_dh_auto_clean:
	touch makefile.defs
	dh_auto_clean

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install menu ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	sed 's/^LIBS = /& -Wl,--as-needed /'	\
		makefiles/makefile.defs.linux.alsa > makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.dbk $(DEBDIR)/manpage.xsl
	# Generate the man page from the DocBook source
	xmlto -m $(DEBDIR)/manpage.xsl man $<

sendpraat: sys/sendpraat.c
	# Build the sendpraat program
	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
		$(shell dpkg-buildflags --get CFLAGS)		\
		$(shell dpkg-buildflags --get LDFLAGS)		\
		$(shell pkg-config --cflags --libs gtk+-2.0)	\
		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
		-o sendpraat sys/sendpraat.c

override_dh_auto_build: sendpraat praat.1 sendpraat.1 praat-open-files.1
	dh_auto_build

override_dh_auto_install::
	# Install the upstream changelog
	dh_installchangelogs debian/What_s_new_.html
	rm -f $(INSTDIR)/usr/share/doc/praat/changelog.html
	dh_auto_install

get-orig-source:
	uscan --verbose --force-download --repack-compression xz

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0?(\d+)/\.$1/g,dversionmangle=s/[~+]dfsg[0-9]*//" \
  http://www.fon.hum.uva.nl/praat/download_sources.html praat(\d)(\d)(\d+)_sources.tar.gz debian

## praat 6.0.4

=== EEG/Makefile ===
# Makefile of the library "EEG"
# Paul Boersma, 24 August 2013

include ../makefile.defs

CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = EEG.o EEGWindow.o ERPTier.o ERP.o ERPWindow.o \
   praat_EEG.o manual_EEG.o

.PHONY: all clean

all: libEEG.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libEEG.a

libEEG.a: $(OBJECTS)
	touch libEEG.a
	rm libEEG.a
	$(AR) cq libEEG.a $(OBJECTS)
	$(RANLIB) libEEG.a

$(OBJECTS): *.h ../num/NUM.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== FFNet/Makefile ===
# Makefile of the library "FFNet"
# David Weenink, 22 February 2010

include ../makefile.defs

CPPFLAGS = -I ../num -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = FFNet.o \
	FFNet_Eigen.o FFNet_Matrix.o FFNet_Pattern.o \
	FFNet_Activation_Categories.o FFNet_Pattern_Activation.o \
	FFNet_Pattern_Categories.o \
	praat_FFNet_init.o manual_FFNet.o

.PHONY: all clean

all: libFFNet.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libFFNet.a

libFFNet.a: $(OBJECTS)
	touch libFFNet.a
	rm libFFNet.a
	$(AR) cq libFFNet.a $(OBJECTS)
	$(RANLIB) libFFNet.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../dwtools/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink, 20130826

include ../makefile.defs

CPPFLAGS = -I ../num -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o \
	Sound_and_LPC.o  Sound_and_LPC_robust.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../num/NUM.h ../dwtools/*.h ../fon/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== artsynth/Makefile ===
# Makefile of the library "artsynth"
# Paul Boersma, 24 August 2013

include ../makefile.defs

CPPFLAGS = -I ../num -I ../sys -I ../fon -I ../stat

OBJECTS = Speaker.o Articulation.o Artword.o \
     Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \
     Artword_Speaker_to_Sound.o Artword_to_Art.o \
     Delta.o Speaker_to_Delta.o Art_Speaker_Delta.o \
     ArtwordEditor.o praat_Artsynth.o manual_Artsynth.o

.PHONY: all clean

all: libartsynth.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libartsynth.a

libartsynth.a: $(OBJECTS)
	touch libartsynth.a
	rm libartsynth.a
	$(AR) cq libartsynth.a $(OBJECTS)
	$(RANLIB) libartsynth.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../fon/*.h ../stat/*.h

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20130826

include ../makefile.defs

CPPFLAGS =  -I ../stat -I ../num -I ../sys -I dwsys -I ../external/gsl -I ../kar

all: libdwsys.a

OBJECTS = Collection_extensions.o Command.o \
	DLL.o Eigen.o FileInMemory.o Graphics_extensions.o Index.o \
	NUM2.o NUMhuber.o NUMlapack.o NUMmachar.o \
	NUMf2c.o NUMcblas.o NUMclapack.o NUMfft_d.o NUMsort2.o \
	NUMmathlib.o NUMstring.o \
	Permutation.o Permutation_and_Index.o \
	regularExp.o SimpleVector.o Simple_extensions.o \
	SVD.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../stat/*.h ../num/NUM.h ../sys/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink, 22 February 2010
-# djmw 20140409 Latest modification
+# djmw 20150803 Latest modification
 
 include ../makefile.defs
 
@@ -11,7 +11,7 @@
 	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
 	CC.o CCs_to_DTW.o \
 	ClassificationTable.o Confusion.o \
-	Configuration.o ContingencyTable.o \
+	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
 	Configuration_AffineTransform.o \
 	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
 	DTW.o DTW_and_TextGrid.o \
@@ -27,22 +27,23 @@
 	LFCC.o LongSound_extensions.o \
 	KlattGrid.o KlattGridEditors.o KlattTable.o \
 	Ltas_extensions.o \
-	MelFilter_and_MFCC.o MFCC.o \
+	MFCC.o \
 	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
 	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
 	Minimizers.o \
 	Matrix_extensions.o \
 	Matrix_Categories.o MDS.o \
+	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
 	Pattern.o PCA.o \
 	Pitch_extensions.o Polynomial.o \
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o \
 	Resonator.o \
 	Sampled2.o \
-	Sound_and_FilterBank.o Sound_and_PCA.o Sound_extensions.o \
+	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
 	Sound_to_MFCC.o Sounds_to_DTW.o \
 	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
-	Spectrum_extensions.o SSCP.o Strings_extensions.o \
+	Spectrogram_extensions.o Spectrum_extensions.o SSCP.o Strings_extensions.o \
 	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o\
 	Table_extensions.o TableOfReal_and_SVD.o\
 	TableOfReal_extensions.o \

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 27 October 2013

include ../makefile.defs

CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   SoundRecorder.o Sound_enhance.o VoiceAnalysis.o \
   FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
   PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
   RealTierEditor.o PitchTierEditor.o IntensityTierEditor.o \
   DurationTierEditor.o AmplitudeTierEditor.o \
   ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o RunnerMFC.o manual_Exp.o praat_Exp.o \
   Photo.o Movie.o MovieWindow.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o manual_Script.o \
   manual_soundFiles.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
   praat_Sound_init.o praat_TextGrid_init.o praat_Fon.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../num/NUM.h ../external/portaudio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== gram/Makefile ===
# Makefile of the library "gram"
# Paul Boersma, 26 July 2014

include ../makefile.defs

CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = Network.o \
   OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
   OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
   OTMulti_ex_metrics.o

.PHONY: all clean

all: libgram.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libgram.a

libgram.a: $(OBJECTS)
	touch libgram.a
	rm libgram.a
	$(AR) cq libgram.a $(OBJECTS)
	$(RANLIB) libgram.a

$(OBJECTS): *.h ../num/NUM.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== kar/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile of the library "kar"
-# Paul Boersma, 24 August 2013
+# Paul Boersma, 16 July 2015
 
 include ../makefile.defs
 
-OBJECTS = ipaSerifRegularPS.o ipaSerifRegular24.o longchar.o
+OBJECTS = ipaSerifRegularPS.o longchar.o
 
 .PHONY: all clean

=== main/Makefile ===
# Makefile of the 'main' routines.
# Paul Boersma, 10 September 2011

include ../makefile.defs

CPPFLAGS = -I ../num -I ../sys -I ../fon

.PHONY: clean

main_*.o: ../sys/praat.h ../sys/praat_version.h ../sys/Graphics.h

clean:
	$(RM) main_*.o
	$(RM) praat_win.o

# The following is only for Windows.

praat_win.o: praat_win.rc
	$(WINDRES) -o praat_win.o praat_win.rc

=== num/Makefile ===
# Makefile of the library "num"
# Paul Boersma, 24 August 2013

include ../makefile.defs

CPPFLAGS = -I ../external/gsl -I ../external/glpk -I ../sys -I ../dwsys

OBJECTS = NUM.o NUMarrays.o NUMrandom.o NUMsort.o NUMear.o NUMlinprog.o

.PHONY: all clean

all: libnum.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libnum.a

libnum.a: $(OBJECTS)
	touch libnum.a
	rm libnum.a
	$(AR) cq libnum.a $(OBJECTS)
	$(RANLIB) libnum.a

$(OBJECTS): *.h ../external/gsl/*.h ../external/glpk/*.h ../sys/*.h ../dwsys/*.h

=== stat/Makefile ===
# Makefile of the library "stat"
# Paul Boersma, 24 August 2013

include ../makefile.defs

CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../stat

OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o praat_Stat.o \
   TableOfReal.o Distributions.o Distributions_and_Strings.o PairDistribution.o \
   LogisticRegression.o

.PHONY: all clean

all: libstat.a

libstat.a: $(OBJECTS)
	touch libstat.a
	rm libstat.a
	$(AR) cq libstat.a $(OBJECTS)
	$(RANLIB) libstat.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libstat.a

$(OBJECTS): *.h ../num/NUM.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../dwtools/*.h ../fon/*.h

=== debian/changelog ===
praat (6.0.4-2ubuntu1) xenial; urgency=medium

  * Change linking order for sendpraat to fix FTBFS with ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 15 Nov 2015 21:59:25 -0500

praat (6.0.4-2) unstable; urgency=medium

   * d/p/remove-time-date-macros.patch: New patch
   * Build against Pulseaudio
    - d/rules: Use makefile.defs.linux.pulse
    - d/control: Add build-dependency on libpulse-dev
   * d/praat.desktop: Add keywords (fix Lintian warning)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 03 Nov 2015 17:11:36 -0200

praat (6.0.4-1) unstable; urgency=medium

  * Imported Upstream version 6.0.4
  * d/What_s_new_.html: Update upstream changelog for newest version
  * d/copyright: Reflect upstream changes
  * d/watch: Update for new upstream release tarballs at GitHub

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 01 Nov 2015 17:04:32 -0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: praat
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
  Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), libasound2-dev, libgtk2.0-dev, xmlto
+Build-Depends: debhelper (>= 9), libasound2-dev, libgtk2.0-dev, xmlto, libpulse-dev
 Standards-Version: 3.9.6
 Homepage: http://www.praat.org
 Vcs-Git: git://anonscm.debian.org/debian-med/praat.git

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
 	# warnings and useless dependencies
 	sed 's/^LIBS = /& -Wl,--as-needed /'	\
-		makefiles/makefile.defs.linux.alsa > makefile.defs
+		makefiles/makefile.defs.linux.pulse > makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 
@@ -57,9 +57,9 @@
 	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
 		$(shell dpkg-buildflags --get CFLAGS)		\
 		$(shell dpkg-buildflags --get LDFLAGS)		\
-		$(shell pkg-config --cflags --libs gtk+-2.0)	\
 		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
-		-o sendpraat sys/sendpraat.c
+		-o sendpraat sys/sendpraat.c			\
+		$(shell pkg-config --cflags --libs gtk+-2.0)
 
 override_dh_auto_build: sendpraat praat.1 sendpraat.1 praat-open-files.1
 	dh_auto_build

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d+)\.(\d+)\.0?(\d+)\.tar\.gz/praat-$1.$2.$3.tar.gz/"	\
    https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## praat 6.0.5

=== debian/changelog ===
praat (6.0.5-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 17 Nov 2015 16:34:18 -0800

praat (6.0.4-2mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 16 Nov 2015 16:11:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: praat
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
  Rafael Laboissiere <rafael@laboissiere.net>

=== debian/rules ===
--- 
+++ 
@@ -57,9 +57,9 @@
 	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
 		$(shell dpkg-buildflags --get CFLAGS)		\
 		$(shell dpkg-buildflags --get LDFLAGS)		\
+		$(shell pkg-config --cflags --libs gtk+-2.0)	\
 		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
-		-o sendpraat sys/sendpraat.c			\
-		$(shell pkg-config --cflags --libs gtk+-2.0)
+		-o sendpraat sys/sendpraat.c
 
 override_dh_auto_build: sendpraat praat.1 sendpraat.1 praat-open-files.1
 	dh_auto_build

## praat 6.0.19

=== dwsys/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 all: libdwsys.a
 
 OBJECTS = Collection_extensions.o Command.o \
-	DLL.o Eigen.o FileInMemory.o Graphics_extensions.o Index.o \
+	DoublyLinkedList.o Eigen.o FileInMemory.o Graphics_extensions.o Index.o \
 	NUM2.o NUMhuber.o NUMlapack.o NUMmachar.o \
 	NUMf2c.o NUMcblas.o NUMclapack.o NUMfft_d.o NUMsort2.o \
 	NUMmathlib.o NUMstring.o \

=== debian/changelog ===
praat (6.0.19-1) unstable; urgency=medium

  * Imported Upstream version 6.0.19
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/deprecated-g-type-init.patch: New patch
  * d/rules: Avoid FTBFS when compiling sendpraat with ld -as-needed.
    Thanks to Logan Rosen for the patch (Closes: #822737)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Jun 2016 17:33:36 -0300

praat (6.0.15-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 6.0.15
  * d/copyright: Reflect upstream changes
  * d/p/add-function-prototypes.patch: Drop patch (applied upstream)

  [ Andreas Tille ]
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Thu, 24 Mar 2016 20:39:10 +0100

praat (6.0.5-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 6.0.5

  [ Fabian Klötzl ]
  * Fixed FTBFS with clang using a patch supplied by Arthur
    Marble. (Closes: #812715)

  [ Andreas Tille ]
  * Drop menu file since praat has a desktop file
  * cme fix dpkg-control (to get secure Vcs URIs and consistent formatting)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Feb 2016 16:42:57 +0100

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libasound2-dev,
               libgtk2.0-dev,
               xmlto,
               libpulse-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/praat.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/praat.git
Homepage: http://www.praat.org

Package: praat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         python
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                 s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -28,7 +30,7 @@
 	# Fix the lacking cleaning command for the main/ directory
 	[ ! -f makefile.defs ] || make -C main clean
 	rm -f makefile.defs $(DEBDIR)/praat.dirs			\
-		 $(DEBDIR)/praat.install $(DEBDIR)/praat.menu		\
+		 $(DEBDIR)/praat.install 				\
 		 sendpraat praat.1 sendpraat.1 praat-open-files.1
 
 override_dh_auto_clean:
@@ -37,7 +39,7 @@
 
 override_dh_auto_configure:
 	# Generate the debhelper files
-	for i in dirs install menu ; do 				\
+	for i in dirs install ; do 				\
 		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
 	done
 	# Get rid of the
@@ -57,9 +59,9 @@
 	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
 		$(shell dpkg-buildflags --get CFLAGS)		\
 		$(shell dpkg-buildflags --get LDFLAGS)		\
-		$(shell pkg-config --cflags --libs gtk+-2.0)	\
 		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
-		-o sendpraat sys/sendpraat.c
+		-o sendpraat sys/sendpraat.c			\
+		$(shell pkg-config --cflags --libs gtk+-2.0)
 
 override_dh_auto_build: sendpraat praat.1 sendpraat.1 praat-open-files.1
 	dh_auto_build

## praat 6.0.23

=== FFNet/Makefile ===
# Makefile of the library "FFNet"
# David Weenink, 24 May 2016

include ../makefile.defs

CPPFLAGS = -I ../num -I ../dwtools -I ../gram -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = FFNet.o \
	FFNet_Eigen.o FFNet_Matrix.o FFNet_PatternList.o \
	FFNet_ActivationList_Categories.o FFNet_PatternList_ActivationList.o \
	FFNet_PatternList_Categories.o RBM_extensions.o \
	praat_FFNet_init.o manual_FFNet.o

.PHONY: all clean

all: libFFNet.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libFFNet.a

libFFNet.a: $(OBJECTS)
	touch libFFNet.a
	rm libFFNet.a
	$(AR) cq libFFNet.a $(OBJECTS)
	$(RANLIB) libFFNet.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../dwtools/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h

=== LPC/Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
 	Cepstrogram.o \
-	Formant_extensions.o \
+	Formant_extensions.o LineSpectralFrequencies.o \
 	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
-	LPC_and_Polynomial.o \
+	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
 	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
 	LPC_and_Tube.o \
 	Sound_and_LPC.o  Sound_and_LPC_robust.o \

=== dwsys/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS =  -I ../stat -I ../num -I ../sys -I dwsys -I ../external/gsl -I ../kar
+CPPFLAGS =  -I ../stat -I ../num -I ../sys -I ../external/gsl -I ../kar
 
 all: libdwsys.a

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # Makefile of the library "dwtools"
-# David Weenink, 22 February 2010
-# djmw 20150803 Latest modification
+# David Weenink and Paul Boersma
+# 23 November 2015
 
 include ../makefile.defs
 
 CPPFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar
 
-OBJECTS = Activation.o AffineTransform.o \
+OBJECTS = ActivationList.o AffineTransform.o \
 	Categories.o CategoriesEditor.o \
 	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
 	CC.o CCs_to_DTW.o \
@@ -15,7 +15,7 @@
 	Configuration_AffineTransform.o \
 	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
 	DTW.o DTW_and_TextGrid.o \
-	Discriminant.o  Discriminant_Pattern_Categories.o \
+	Discriminant.o  Discriminant_PatternList_Categories.o \
 	EditDistanceTable.o EEG_extensions.o \
 	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
 	Eigen_and_TableOfReal.o\
@@ -34,12 +34,11 @@
 	Matrix_extensions.o \
 	Matrix_Categories.o MDS.o \
 	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
-	Pattern.o PCA.o \
+	PatternList.o PCA.o \
 	Pitch_extensions.o Polynomial.o \
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o \
 	Resonator.o \
-	Sampled2.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
 	Sound_to_MFCC.o Sounds_to_DTW.o \
 	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \

=== fon/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "fon"
-# Paul Boersma, 27 October 2013
+# Paul Boersma, 27 October 2016
 
 include ../makefile.defs
 
@@ -29,7 +29,7 @@
    ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
    WordList.o SpellingChecker.o \
    FujisakiPitch.o \
-   ExperimentMFC.o RunnerMFC.o manual_Exp.o praat_Exp.o \
+   ExperimentMFC.o RunnerMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
    Photo.o Movie.o MovieWindow.o \
    Corpus.o \
    manual_Picture.o manual_Manual.o manual_Script.o \
@@ -37,7 +37,8 @@
    manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
    manual_glossary.o manual_Sampling.o manual_exampleSound.o \
    manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
-   praat_Sound_init.o praat_TextGrid_init.o praat_Fon.o
+   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
+   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_Fon.o
 
 .PHONY: all clean

=== gram/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "gram"
-# Paul Boersma, 26 July 2014
+# Paul Boersma, 15 May 2016
 
 include ../makefile.defs
 
@@ -8,7 +8,7 @@
 OBJECTS = Network.o \
    OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
    OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
-   OTMulti_ex_metrics.o
+   OTMulti_ex_metrics.o RBM.o
 
 .PHONY: all clean

=== sys/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile of the library "sys"
-# Paul Boersma, 24 August 2013
+# Paul Boersma, 22 October 2016
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../num -I ../sys -I ../dwsys -I ../kar -I ../external/portaudio -I ../external/flac -I ../external/mp3
+CPPFLAGS = -I ../sys -I ../num -I ../dwsys -I ../kar -I ../external/portaudio -I ../external/flac -I ../external/mp3
 
-OBJECTS = abcio.o lispio.o complex.o \
+OBJECTS = abcio.o complex.o \
    melder_ftoa.o melder_atof.o melder_error.o melder_alloc.o melder.o melder_strings.o \
    melder_token.o melder_files.o melder_audio.o melder_audiofiles.o \
    melder_debug.o melder_sysenv.o melder_info.o melder_quantity.o \
@@ -20,9 +20,10 @@
    Preferences.o site.o \
    Picture.o Ui.o UiFile.o UiPause.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
    praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendpraat.o sendsocket.o \
-   praat_script.o praat_statistics.o praat_logo.o \
+   praat_script.o praat_statistics.o praat_logo.o praat_library.o \
    praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
    StringsEditor.o DemoEditor.o \
+   MelderGui.o \
    motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
    GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
    GuiDialog.o GuiList.o GuiFileSelect.o GuiScale.o GuiScrollBar.o GuiScrolledWindow.o \

=== contrib/ola/Makefile ===
# Makefile of the library "contrib/ola"
# Ola So"der 19 January 2008
# Paul Boersma, 22 October 2016

include ../../makefile.defs

CPPFLAGS = -I ../../sys -I ../../FFNet -I ../../dwtools -I ../../fon -I ../../dwsys -I ../../stat -I ../../num -I ../../external/gsl -D_DEBUG -D_REENTRANT

OBJECTS = KNN.o \
   KNN_threads.o Pattern_to_Categories_cluster.o KNN_prune.o FeatureWeights.o praat_contrib_Ola_KNN.o manual_KNN.o

.PHONY: all clean

all: libOla.a  

clean:
	$(RM) $(OBJECTS)
	$(RM) libOla.a

libOla.a: $(OBJECTS)
	touch libOla.a
	rm libOla.a
	$(AR) cq libOla.a $(OBJECTS)
	$(RANLIB) libOla.a

$(OBJECTS): *.h ../../sys/*.h ../../FFNet/*.h ../../dwtools/*.h ../../fon/*.h ../../dwsys/*.h ../../stat/*.h ../../num/*.h ../../external/gsl/*.h

=== debian/changelog ===
praat (6.0.23-1) unstable; urgency=medium

  * New upstream version 6.0.23
  * Bump debhelper compat level to 10
  * d/What_s_new_.html: Update upstream changelog
  * d/rules: Prevent use of INSTALL variable in upstream Makefile

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Jan 2017 20:28:33 -0200

praat (6.0.21-1) unstable; urgency=medium

  * New upstream version 6.0.21
  * d/u/metadata: Fix Homepage
  * d/rules: Keep HTML form of the upstream changelog

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 17 Oct 2016 07:33:42 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Rafael Laboissiere <rafael@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libasound2-dev,
                libgtk2.0-dev,
                xmlto,

=== debian/rules ===
--- 
+++ 
@@ -66,11 +66,10 @@
 override_dh_auto_build: sendpraat praat.1 sendpraat.1 praat-open-files.1
 	dh_auto_build
 
-override_dh_auto_install::
+override_dh_auto_install:
 	# Install the upstream changelog
 	dh_installchangelogs debian/What_s_new_.html
-	rm -f $(INSTDIR)/usr/share/doc/praat/changelog.html
-	dh_auto_install
+	dh_auto_install -- INSTALL=
 
 get-orig-source:
 	uscan --verbose --force-download --repack-compression xz

## praat 6.0.30

=== FFNet/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile of the library "FFNet"
-# David Weenink, 24 May 2016
+# David Weenink, 2 June 2017
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../num -I ../dwtools -I ../gram -I ../fon -I ../sys -I ../dwsys -I ../stat
+CPPFLAGS = -I ../num -I ../kar -I ../dwtools -I ../gram -I ../fon -I ../sys -I ../dwsys -I ../stat
 
 OBJECTS = FFNet.o \
 	FFNet_Eigen.o FFNet_Matrix.o FFNet_PatternList.o \

=== LPC/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile of the library "LPC"
-# David Weenink, 20130826
+# David Weenink, 20170602
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../num -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat
+CPPFLAGS = -I ../num -I ../kar -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat
 
 OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
 	Cepstrogram.o \

=== artsynth/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile of the library "artsynth"
-# Paul Boersma, 24 August 2013
+# Paul Boersma, 2 June 2017
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../num -I ../sys -I ../fon -I ../stat
+CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../fon -I ../stat
 
 OBJECTS = Speaker.o Articulation.o Artword.o \
      Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \

=== dwsys/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # makefile for library "dwsys".
-# David Weenink 20130826
+# David Weenink 20170531
 
 include ../makefile.defs
 
@@ -10,7 +10,7 @@
 OBJECTS = Collection_extensions.o Command.o \
 	DoublyLinkedList.o Eigen.o FileInMemory.o Graphics_extensions.o Index.o \
 	NUM2.o NUMhuber.o NUMlapack.o NUMmachar.o \
-	NUMf2c.o NUMcblas.o NUMclapack.o NUMfft_d.o NUMsort2.o \
+	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
 	NUMmathlib.o NUMstring.o \
 	Permutation.o Permutation_and_Index.o \
 	regularExp.o SimpleVector.o Simple_extensions.o \

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 23 November 2015
+# 8 June 2017
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar
+CPPFLAGS = -I ../num -I ../kar -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar
 
 OBJECTS = ActivationList.o AffineTransform.o \
 	Categories.o CategoriesEditor.o \
@@ -30,7 +30,7 @@
 	MFCC.o \
 	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
 	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
-	Minimizers.o \
+	Minimizers.o MixingMatrix.o \
 	Matrix_extensions.o \
 	Matrix_Categories.o MDS.o \
 	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
@@ -39,6 +39,7 @@
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o \
 	Resonator.o \
+	Sound_and_MixingMatrix.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
 	Sound_to_MFCC.o Sounds_to_DTW.o \
 	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
@@ -47,7 +48,7 @@
 	Table_extensions.o TableOfReal_and_SVD.o\
 	TableOfReal_extensions.o \
 	TableOfReal_and_Permutation.o \
-	TextGrid_extensions.o \
+	TextGrid_and_DurationTier.o TextGrid_extensions.o \
 	VowelEditor.o \
 	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
 	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o

=== main/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile of the 'main' routines.
-# Paul Boersma, 10 September 2011
+# Paul Boersma, 2 June 2017
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../num -I ../sys -I ../fon
+CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../fon
 
 .PHONY: clean

=== stat/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 # Makefile of the library "stat"
-# Paul Boersma, 24 August 2013
+# Paul Boersma, 22 October 2016
 
 include ../makefile.defs
 
 CPPFLAGS = -I ../num -I ../kar -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../stat
 
-OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o praat_Stat.o \
+OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o \
+   praat_TableOfReal.o praat_Stat.o \
    TableOfReal.o Distributions.o Distributions_and_Strings.o PairDistribution.o \
    LogisticRegression.o

=== sys/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "sys"
-# Paul Boersma, 22 October 2016
+# Paul Boersma, 22 July 2017
 
 include ../makefile.defs

=== contrib/ola/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile of the library "contrib/ola"
 # Ola So"der 19 January 2008
-# Paul Boersma, 22 October 2016
+# Paul Boersma, 2 June 2017
 
 include ../../makefile.defs
 
-CPPFLAGS = -I ../../sys -I ../../FFNet -I ../../dwtools -I ../../fon -I ../../dwsys -I ../../stat -I ../../num -I ../../external/gsl -D_DEBUG -D_REENTRANT
+CPPFLAGS = -I ../../sys -I ../../kar -I ../../FFNet -I ../../dwtools -I ../../fon -I ../../dwsys -I ../../stat -I ../../num -I ../../external/gsl -D_DEBUG -D_REENTRANT
 
 OBJECTS = KNN.o \
    KNN_threads.o Pattern_to_Categories_cluster.o KNN_prune.o FeatureWeights.o praat_contrib_Ola_KNN.o manual_KNN.o

=== debian/changelog ===
praat (6.0.30-3) unstable; urgency=medium

  * d/p/pangocairo-pkg-config.patch: New patch.
    This patch replaces d/p/use-gtk-pkg-config.patch and provides a better
    argument for the pkg-config invocation when building praat_nogui.
    Thanks to Adrian Bunk for the patch (Closes: #871907)
  * d/README.Debian: Remove this obsolete file

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 13 Aug 2017 04:00:07 -0300

praat (6.0.30-2) unstable; urgency=medium

  * d/p/use-gtk-pkg-config.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Aug 2017 09:19:08 -0300

praat (6.0.30-1) unstable; urgency=medium

  * New upstream version 6.0.30
  * d/control: Bump Standards-Version to 4.0.1 (no changes needed)
  * d/p/deprecated-g-type-init.patch: Drop patch (applied upstream)
  * d/p/tensor-h-filename.patch: New patch
  * Add praat_nogui executable and manual page

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 11 Aug 2017 16:44:01 -0300

praat (6.0.29-2) unstable; urgency=medium

  * Uploaded to unstable
  * d/watch: Use version 4
  * d/copyright: Use secure URL in Format

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Jun 2017 04:18:09 -0300

praat (6.0.29-1) experimental; urgency=medium

  * New upstream version 6.0.29
    This version has support for Chinese, Japanese, Korean, Indic,
    Arabic and Hebrew characters in TextGrids and elsewhere.
    (Closes: #859343)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 24 May 2017 05:56:46 -0300

praat (6.0.28-1) experimental; urgency=medium

  * New upstream version 6.0.28
  * d/What_s_new_.html: Update for new upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 05 May 2017 01:54:03 -0300

praat (6.0.26-1) experimental; urgency=medium

  * New upstream version 6.0.26
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 07 Mar 2017 06:51:21 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgtk2.0-dev,
                xmlto,
                libpulse-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/praat.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/praat.git
 Homepage: http://www.praat.org
